/*
 * Class UNIX_SIGNALS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_43 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_43 [] = {0xFF01,1551,42,0xFFFF};
static const EIF_TYPE_INDEX egt_2_43 [] = {0xFF01,42,0xFFFF};
static const EIF_TYPE_INDEX egt_3_43 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_43 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_43 [] = {0xFF01,42,0xFFFF};
static const EIF_TYPE_INDEX egt_6_43 [] = {0xFF01,42,0xFFFF};
static const EIF_TYPE_INDEX egt_7_43 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_43 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_43 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_43 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_43 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_43 [] = {0xFF01,42,0xFFFF};


static const struct desc_info desc_43[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_43), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_43), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_43), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_43), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_43), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_43), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_43), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_43), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_43), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_43), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_43), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_43), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x55 /*42*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_43), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0725 /*914*/), 626, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 627, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 628, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 629, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 630, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 631, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 632, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 633, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 634, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 635, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 636, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 639, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 640, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 641, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 642, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 644, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 645, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 649, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 651, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 652, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 655, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 656, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 657, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 658, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 659, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 660, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 661, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 617, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 618, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 619, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 620, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 622, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 624, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 625, 0xFFFFFFFF},
};
void Init43(void)
{
	IDSC(desc_43, 0, 42);
	IDSC(desc_43 + 1, 1, 42);
	IDSC(desc_43 + 32, 1297, 42);
}


#ifdef __cplusplus
}
#endif
